org.deidentifier.arx.gui.view.impl.explore

## Class Gradient

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.explore.Gradient

    public class Gradient
    extends java.lang.Object

A gradient

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Gradient(org.eclipse.swt.widgets.Display display)` Creates a new color gradients
`Gradient(org.eclipse.swt.widgets.Display display, int steps)` Creates a new color gradient

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Dispose all colors
`org.eclipse.swt.graphics.Color` `getColor(double value)` Returns the color for a value in [0, 1]

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Gradient

    public Gradient(org.eclipse.swt.widgets.Display display)

Creates a new color gradients

Parameters:
  `display` - Display

#### Gradient

    public Gradient(org.eclipse.swt.widgets.Display display,
                    int steps)

Creates a new color gradient

Parameters:
  `display` - Display
  `steps` -

### Method Detail

#### dispose

    public void dispose()

Dispose all colors

#### getColor

    public org.eclipse.swt.graphics.Color getColor(double value)

Returns the color for a value in [0, 1]

Parameters:
  `value` -
Returns: